# Generated by using Rcpp::compileAttributes() -> do not edit by hand
# Generator token: 10BE3573-1514-4C36-9D1C-5A225CD40393

#' print all blocks with contiguous set ids
#'
#' @param syn      synteny map file name
#' @param swap     reverse direction of synteny map (e.g. swap query and target) 
#' @param trans    score transform methods, single character
#' @param k       match fuziness, integer
#' @param r       score decay rate, 0 means no context, high means more context
#' @param offsets  4-element integer vector of [01] offsets (start/stop
#'                 offsets for the synteny maps and the GFF)
c_dump <- function(syn, swap, trans, k, r, offsets) {
    .Call('_synder_c_dump', PACKAGE = 'synder', syn, swap, trans, k, r, offsets)
}

#' predict search intervals
#'
#' @param syn     synteny map file name
#' @param gff     GFF file name
#' @param tcl     target contig lengths file name
#' @param qcl     target contig lengths file name
#' @param swap    reverse direction of synteny map (e.g. swap query and target) 
#' @param k       match fuziness, integer
#' @param r       score decay rate, 0 means no context, high means more context
#' @param trans   score transform methods, single character
#' @param offsets  4-element integer vector of [01] offsets (start/stop
#'                 offsets for the synteny maps and the GFF)
c_search <- function(syn, gff, tcl, qcl, swap, k, r, trans, offsets) {
    .Call('_synder_c_search', PACKAGE = 'synder', syn, gff, tcl, qcl, swap, k, r, trans, offsets)
}

#' remove links that disagree with the synteny map
#'
#' @param syn      synteny map file name
#' @param hit      int file name
#' @param swap     reverse direction of synteny map (e.g. swap query and target) 
#' @param k        match fuziness, integer
#' @param r        score decay rate, 0 means no context, high means more context
#' @param trans    score transform methods, single character
#' @param offsets  4-element integer vector of [01] offsets (start/stop
#'                 offsets for the synteny maps and the GFF)
c_filter <- function(syn, hit, swap, k, r, trans, offsets) {
    .Call('_synder_c_filter', PACKAGE = 'synder', syn, hit, swap, k, r, trans, offsets)
}

#' trace intervals across genomes
#'
#' @param syn     synteny map file name
#' @param gff     GFF file name
#' @param swap    reverse direction of synteny map (e.g. swap query and target) 
#' @param offsets  4-element integer vector of [01] offsets (start/stop
#'                 offsets for the synteny maps and the GFF)
c_map <- function(syn, gff, swap, offsets) {
    .Call('_synder_c_map', PACKAGE = 'synder', syn, gff, swap, offsets)
}

#' count overlaps
#'
#' @param syn      synteny map file name
#' @param gff      GFF file name
#' @param swap     reverse direction of synteny map (e.g. swap query and target) 
#' @param offsets  4-element integer vector of [01] offsets (start/stop
#'                 offsets for the synteny maps and the GFF)
c_count <- function(syn, gff, swap, offsets) {
    .Call('_synder_c_count', PACKAGE = 'synder', syn, gff, swap, offsets)
}

